[SOLVED] "Incorrect firmware file", SHA sum matching

Hello!

I have been trying to install OpenWrt on my new Linksys E1700, following the quick start guide here. I have downloaded the firmware factory.bin file, checked the sha256sum, connected to the device via Ethernet and proceded to write the image, as described, from the device admin GUI:

Screenshot_2018-04-14_18-31-58

After "Start Upgrade" is pressed, the progress bar goes up to 16% at which point an error appears:

Screenshot_2018-04-14_18-33-00
( Incorrect firmware file! Please reboot first and try again! )

I did try rebooting and installing again, even though pressing OK returns to the web GUI, with the router immediately usable. I also tried resetting the router to defaults. No luck, exactly the same error.

To be honest, I do not even have any guesses as to what could be wrong with this method. The user guide doesn't have any information on firmware upgrades.

Quite scared of bricking my router, so decided to ask here before doing anything else.

Did I follow the quick guide correctly?
If so, what should I do now?
What are the safest alternative installation methods?

(I'm not scared of the command line and believe in my ability to carefully follow guides. C:
Also, running linux and would prefer not to use windows-specific apps if possible.)

Thanks!

To confirm, you are using the factory.bin file, correct? You might have to rename it.

The full filename of what I'm using is lede-17.01.4-ramips-mt7620-e1700-squashfs-factory.bin, as seen on the first screenshot. It is referred to as "...factory.bin" in the user guide so I thought that's what it's supposed to be.
Are you saying I should rename it to exactly factory.bin and try installing again?

It is the correct file. Some devices prefer the file to be renamed. I am not sure about your exact model.

Just tried an installation after renaming the file to factory.bin and got the same error. Looks like the filename isn't the problem in this case.

Try upgrading to the latest OEM firmware first

http://downloads.linksys.com/downloads/firmware/FW_E1700_v1.0.04.003_20171201.bin

Upgraded to OEM's 1.0.04 without any issues.
Same error when trying to install OpenWrt :C

Based on old developer mailing list discussions, that device may be problematic and may require older OEM firmware first...

https://lists.openwrt.org/pipermail/openwrt-devel/2016-May/041541.html

That is also mentioned at the bottom of the device wiki page (which you linked in your first message):
https://openwrt.org/toh/hwdata/linksys/linksys_e1700

Based on the text there, you may be better off with OEM firmware:

need to downgrade original FW first to version 1.0.00 (get FW_E1700_v1.0.00.081_20131220.bin at https://db.tt/m95cTvHq, md5sum: 68f9f63de22d508bdd699a749bcdc2d0). Ports comming up as 100mbit rather than gigabit. Wifi appears weak or incomplete, have not been able to select antenna.

1 Like

Oh thank you kindly!
Stupid of me to miss the comment on the wiki page

Edit: The suggested dropbox link doesn't work, but I was able to find a matching file: https://cloud.disroot.org/s/bNsYy3wG9pNDWcB